Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision d83fd51aa6f128ff50898081761940f6c42136b9)
+++ bootscripts/ChangeLog	(revision b875e19ed6d1dd5db6601c45639b9ce2a700c202)
@@ -1,2 +1,6 @@
+2017-03-25 DJ Lucas <dj@linuxfromscratch.org>
+   * Bash-4.4 changes no longer allow continue in function to pass to calling
+     loop.
+
 2015-02-22 Bruce Dubbs <bdubbs@linuxfromscratch.org>
    * Cosmetic changes to network scripts' output
Index: bootscripts/lfs/init.d/rc
===================================================================
--- bootscripts/lfs/init.d/rc	(revision d83fd51aa6f128ff50898081761940f6c42136b9)
+++ bootscripts/lfs/init.d/rc	(revision b875e19ed6d1dd5db6601c45639b9ce2a700c202)
@@ -38,10 +38,10 @@
    if [ ! -f ${i} ]; then
       log_warning_msg "${i} is not a valid symlink." 
-      continue
+      SCRIPT_STAT="1"
    fi
 
    if [ ! -x ${i} ]; then
       log_warning_msg "${i} is not executable, skipping."
-      continue
+      SCRIPT_STAT="1"
    fi
 }
@@ -151,4 +151,8 @@
    do
       check_script_status
+      if [ "${SCRIPT_STAT}" == "1" ]; then
+         SCRIPT_STAT="0"
+         continue
+      fi
 
       suffix=${i#/etc/rc.d/rc$runlevel.d/K[0-9][0-9]}
@@ -193,4 +197,8 @@
 
    check_script_status
+      if [ "${SCRIPT_STAT}" == "1" ]; then
+         SCRIPT_STAT="0"
+         continue
+      fi
 
    case ${runlevel} in
Index: bootscripts/lfs/lib/services/init-functions
===================================================================
--- bootscripts/lfs/lib/services/init-functions	(revision d83fd51aa6f128ff50898081761940f6c42136b9)
+++ bootscripts/lfs/lib/services/init-functions	(revision b875e19ed6d1dd5db6601c45639b9ce2a700c202)
@@ -54,4 +54,5 @@
 BOOTLOG=/run/bootlog
 KILLDELAY=3
+SCRIPT_STAT="0"
 
 # Set any user specified environment variables e.g. HEADLESS
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision d83fd51aa6f128ff50898081761940f6c42136b9)
+++ chapter01/changelog.xml	(revision b875e19ed6d1dd5db6601c45639b9ce2a700c202)
@@ -43,4 +43,15 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
+    <listitem>
+      <para>2017-03-25</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to lfs-bootscripts-20170825. Fix a scope issue in
+          the rc script. Thanks to "quesker" in #lfs-support for the report and
+          subsequent testing.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2017-03-18</para>
Index: general.ent
===================================================================
--- general.ent	(revision d83fd51aa6f128ff50898081761940f6c42136b9)
+++ general.ent	(revision b875e19ed6d1dd5db6601c45639b9ce2a700c202)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20170318">
+<!ENTITY version         "SVN-20170325">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20170318-systemd">
+<!ENTITY versiond        "20170325-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "March 18, 2017">
+<!ENTITY releasedate     "March 25, 2017">
 
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision d83fd51aa6f128ff50898081761940f6c42136b9)
+++ packages.ent	(revision b875e19ed6d1dd5db6601c45639b9ce2a700c202)
@@ -359,5 +359,5 @@
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20170318">              <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20170325">              <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
